import { PreactCustomElement } from '..';
import { ClassDecorator } from './utils';
/**
 * Register this class as a custom element.
 *
 * @param tagName The HTML tag name to register.
 *
 * @example
 * ```ts
 * @define('ui-button')
 * export default class Button extends PreactCustomElement {
 *   // …
 * }
 * ```
 */
export default function define(tagName: string): ClassDecorator<PreactCustomElement>;
