import { Ref } from 'preact/hooks';
/**
 * Adopt a stylesheet into the parent shadow root.
 *
 * @param ref A ref to an element that's always present in the component.
 * @param styles The stylesheet to add to the shadow root.
 */
export default function useAdoptStyles(ref: Ref<Element | undefined>, styles: CSSStyleSheet | string): void;
