export type ClassAccessorDecorator<This, Value> = (target: ClassAccessorDecoratorTarget<This, Value>, context: ClassAccessorDecoratorContext<This, Value>) => ClassAccessorDecoratorResult<This, Value> | void;
type Constructor<T = unknown> = new (...args: unknown[]) => T;
export type ClassDecorator<Type> = (constructor: Constructor<Type>, context: ClassDecoratorContext<Constructor<Type>>) => void;
export {};
