/// <reference types="react" />
import type { React } from './reactWrap';
export declare function reactWrap<Props extends {}, ElementType extends HTMLElement>(React: React, tagName: string): import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLElement>>;
import BlockStack from './components/BlockStack';
import Card from './components/Card';
import Divider from './components/Divider';
import ProgressIndicator from './components/ProgressIndicator';
import TimePicker from './components/TimePicker';
export declare const elements: {
    BlockStack: typeof BlockStack;
    Card: typeof Card;
    Divider: typeof Divider;
    ProgressIndicator: typeof ProgressIndicator;
    TimePicker: typeof TimePicker;
};
