import { PreactCustomElement } from '../../PreactCustomElement';
import { tagName } from './meta';
import { SharedTimePickerProps } from './types';
export default class TimePicker extends PreactCustomElement implements SharedTimePickerProps {
    accessor allowRanges: SharedTimePickerProps['allowRanges'];
    accessor disallowRanges: SharedTimePickerProps['disallowRanges'];
    accessor steps: SharedTimePickerProps['steps'];
    accessor disabled: SharedTimePickerProps['disabled'];
    accessor defaultValue: SharedTimePickerProps['defaultValue'];
    accessor value: SharedTimePickerProps['value'];
    constructor();
}
declare global {
    interface HTMLElementTagNameMap {
        [tagName]: TimePicker;
    }
}
declare module 'preact' {
    namespace createElement.JSX {
        interface IntrinsicElements {
            [tagName]: TimePicker;
        }
    }
}
