import { PreactCustomElement } from '../../PreactCustomElement';
import { tagName } from './meta';
export interface SharedProps {
    foo: string;
    bar: string;
}
export default class RenameMe extends PreactCustomElement implements SharedProps {
    accessor foo: string;
    accessor bar: string;
    constructor();
}
declare global {
    interface HTMLElementTagNameMap {
        [tagName]: RenameMe;
    }
}
declare module 'preact' {
    namespace createElement.JSX {
        interface IntrinsicElements {
            [tagName]: Partial<RenameMe>;
        }
    }
}
