import { Reflector } from './utils';
interface StringEnumOptions<T> {
    defaultValue?: T;
}
/**
 * Restrict values to a set of strings, or (optionally) null.
 *
 * @param values Valid values for the enum. The first item is the default.
 * @returns
 */
export default function stringEnum<AllowedValue extends string | null>(values: readonly AllowedValue[], { defaultValue }?: StringEnumOptions<AllowedValue>): Reflector<AllowedValue>;
export {};
